import request from '@/utils/request';
import type { ApiResult } from '@/api';
import type { Crontab, CrontabParam } from './model';

/**
 * 分页查询记录任务列表
 */
export async function pageCrontab(params?: CrontabParam) {
  const res = await request.get<ApiResult<Crontab[]>>('/system/crontab/page', {
    params
  });
  if (res.data.code === 0 && res.data.data) {
    return res.data.data;
  }
  return Promise.reject(new Error(res.data.message));
}
